package com.ruoyi.bst.areaSub.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 子区域对象 bst_area_sub
 *
 * @author ruoyi
 * @date 2025-03-15
 */
@Data
public class AreaSub extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "区域名称")
    @ApiModelProperty("区域名称")
    private String name;

    @Excel(name = "类型", readConverterExp = "1=停车区,2=禁停区,3=禁行区")
    @ApiModelProperty("类型")
    private String type;

    @Excel(name = "区域id")
    @ApiModelProperty("区域id")
    private Long areaId;

    @Excel(name = "边界")
    @ApiModelProperty("边界")
    private String boundary;

    @Excel(name = "边界值", readConverterExp = "高=德地图")
    @ApiModelProperty("边界值")
    private String boundaryStr;

    @Excel(name = "还车误差")
    @ApiModelProperty("还车误差")
    private Integer error;

    @Excel(name = "经度")
    @ApiModelProperty("经度")
    private String longitude;

    @Excel(name = "纬度")
    @ApiModelProperty("纬度")
    private String latitude;

    @Excel(name = "照片")
    @ApiModelProperty("照片")
    private String picture;

    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    @ApiModelProperty("状态")
    private String status;

}
